{
  lib,
  config,
  namespace,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.gh;
in
{
  options.marleyos.programs.gh.enable = mkEnableOption "gh";

  config = mkIf cfg.enable {
    programs.gh = {
      enable = true;
      gitCredentialHelper.enable = true;
    };

    programs.gh-dash = {
      enable = true;
    };
  };
}
